with GNATCOM.Dispinterface;

package MSHTML.ISVGAnimatedString_Object is

   type ISVGAnimatedString_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Put_baseVal
     (This : ISVGAnimatedString_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_baseVal
     (This : ISVGAnimatedString_Type)
     return GNATCOM.Types.VARIANT;

   function Get_animVal
     (This : ISVGAnimatedString_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.ISVGAnimatedString_Object;

